Bug 804255 - SELinux is preventing /usr/libexec/rtkit-daemon from using the 'setsched' accesses on a process.
SELinux is preventing /usr/libexec/rtkit-daemon from using the 'setsched' acc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:77cf78171874fc637bf9cb433a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 22:05 EDT by Peque
Modified: 2012-04-21 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-84.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peque 2012-03-16 22:05:08 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-2.fc16.x86_64
reason:         SELinux is preventing /usr/libexec/rtkit-daemon from using the 'setsched' accesses on a process.
time:           Sat 17 Mar 2012 03:04:51 AM CET

description:
:SELinux is preventing /usr/libexec/rtkit-daemon from using the 'setsched' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that rtkit-daemon should be allowed setsched access on processes labeled wine_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rtkit-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rtkit_daemon_t:s0
:Target Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
:Target Objects                 [ process ]
:Source                        rtkit-daemon
:Source Path                   /usr/libexec/rtkit-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           rtkit-0.10-1.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.9-2.fc16.x86_64 #1 SMP Mon
:                              Mar 5 20:55:39 UTC 2012 x86_64 x86_64
:Alert Count                   5
:First Seen                    Sat 17 Mar 2012 02:58:13 AM CET
:Last Seen                     Sat 17 Mar 2012 02:59:53 AM CET
:Local ID                      1ffbe38f-f52e-4382-a487-3330580ebd19
:
:Raw Audit Messages
:type=AVC msg=audit(1331949593.838:250): avc:  denied  { setsched } for  pid=1374 comm="rtkit-daemon" scontext=system_u:system_r:rtkit_daemon_t:s0 tcontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1331949593.838:250): arch=x86_64 syscall=sched_setscheduler success=no exit=EACCES a0=53c1 a1=40000000 a2=7fffc7c989d0 a3=0 items=0 ppid=1 pid=1374 auid=4294967295 uid=172 gid=172 euid=172 suid=172 fsuid=172 egid=172 sgid=172 fsgid=172 tty=(none) ses=4294967295 comm=rtkit-daemon exe=/usr/libexec/rtkit-daemon subj=system_u:system_r:rtkit_daemon_t:s0 key=(null)
:
:Hash: rtkit-daemon,rtkit_daemon_t,wine_t,process,setsched
:
:audit2allow
:
:#============= rtkit_daemon_t ==============
:allow rtkit_daemon_t wine_t:process setsched;
:
:audit2allow -R
:
:#============= rtkit_daemon_t ==============
:allow rtkit_daemon_t wine_t:process setsched;
:
Comment 1 Miroslav Grepl 2012-03-30 03:19:37 EDT
Fixed in selinux-policy-3.10.0-82.fc16
Comment 2 Fedora Update System 2012-04-18 08:55:01 EDT
selinux-policy-3.10.0-84.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-84.fc16
Comment 3 Fedora Update System 2012-04-21 23:37:11 EDT
selinux-policy-3.10.0-84.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.